%define tarname symeig
%define name python-%{tarname}
%define version 1.4.1
%define release %mkrel 2

Summary: Symmetrical eigenvalue routines for numpy
Name: 	 %{name}
Version: %{version}
Release: %{release}
Source0: %{tarname}-%{version}.tar.lzma
License: LGPLv3+
Group: 	 Development/Python
Url: 	 http://mdp-toolkit.sourceforge.net/symeig.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python >= 2.4, python-numpy
BuildRequires: lapack-devel, python-devel >= 2.4, python-numpy-devel >= 1.0

%description
The symeig module contains a Python wrapper for the LAPACK functions
that solve the standard and generalized eigenvalue problems for
symmetric (hermitian) positive definite matrices. Those specialized
algorithms provide an important speed-up relative to the generic
LAPACK eigenvalue problem solver in NumPy (linalg.eig and
linalg.eigh).

%prep
%setup -q -n %{tarname}-1.4

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc README COPY*



%changelog
* Fri Jan 02 2009 Funda Wang <fundawang@mandriva.org> 1.4.1-2mdv2009.1
+ Revision: 323416
- rebuild

* Thu Oct 23 2008 Lev Givon <lev@mandriva.org> 1.4.1-1mdv2009.1
+ Revision: 296625
- Update to 1.4.1.

* Sun Oct 12 2008 Lev Givon <lev@mandriva.org> 1.4-1mdv2009.1
+ Revision: 292867
- import python-symeig


* Mon Jun 2 2008 Lev Givon <lev@mandriva.org> 1.4-1mdv2008.0
- Package for Mandriva.
